From 8ab50cce988cfa5cf282444756414773f61f60af Mon Sep 17 00:00:00 2001
From: Jiri Gaisler <jiri@gaisler.se>
Date: Thu, 24 Dec 2015 09:41:50 -0500
Subject: [PATCH 03/11] sim/erc32: Move local extern declarations into sis.h.

	* erc32.c (ctrl_c, sis_verbose, sparclite, sparclite_board, rom8,
	wrp, uben, uart_dev[], ext_irl, sregs): Remove extern declarations
	* exec.c (sis_verbose, sparclite, ebase, nfp, ift, irqarr): As above.
	* func.c (ebase, dinfo, ext_irl): As above.
	(ebase, evbuf, irqarr, dinfo): Move declaration to top of file
	* interf.c (dinfo, ebase, nfp, ift, rom8, wrp, uben, sis_version,
	evbuf, irqarr, irqpend, ext_irl, sparclite, sparclite_board,
	termsave, uart_dev): Remove extern declarations
	* sis.c (dinfo, ebase, nfp, ift, rom8, wrp, uben, sis_version,
	evbuf, irqarr, irqpend, ext_irl, sparclite, sparclite_board,
	termsave, uart_dev, last_load_addr): Remove extern declarations
	* sis.h (dinfo, ebase, nfp, ift, rom8, wrp, uben, sis_version,
	evbuf, irqarr, irqpend, ext_irl, sparclite, sparclite_board,
	termsave, uart_dev, last_load_addr): Add extern declarations
---
 sim/erc32/erc32.c  | 10 ----------
 sim/erc32/exec.c   |  7 -------
 sim/erc32/func.c   | 12 ++++--------
 sim/erc32/interf.c | 18 ------------------
 sim/erc32/sis.c    | 20 --------------------
 sim/erc32/sis.h    | 20 +++++++++++++++++++-
 6 files changed, 23 insertions(+), 64 deletions(-)

diff --git a/sim/erc32/erc32.c b/sim/erc32/erc32.c
index 25b5bb4..2ab8cf9 100644
--- a/sim/erc32/erc32.c
+++ b/sim/erc32/erc32.c
@@ -30,12 +30,6 @@
 #include "sis.h"
 #include "sim-config.h"
 
-extern int      ctrl_c;
-extern int32    sis_verbose;
-extern int32    sparclite, sparclite_board;
-extern int      rom8,wrp,uben;
-extern char     uart_dev1[], uart_dev2[];
-
 /* MEC registers */
 #define MEC_START 	0x01f80000
 #define MEC_END 	0x01f80100
@@ -290,8 +284,6 @@ static unsigned char *
 static void	store_bytes (unsigned char *mem, uint32 waddr,
 			uint32 *data, int sz, int32 *ws);
 
-extern int	ext_irl;
-
 /* One-time init */
 
 static void
@@ -1855,8 +1847,6 @@ sis_memory_read(addr, data, length)
     return length;
 }
 
-extern struct pstate sregs;
-
 void
 boot_init (void)
 {
diff --git a/sim/erc32/exec.c b/sim/erc32/exec.c
index 8192a84..d6a8460 100644
--- a/sim/erc32/exec.c
+++ b/sim/erc32/exec.c
@@ -21,7 +21,6 @@
 #include <math.h>
 #include <stdio.h>
 
-extern int32    sis_verbose, sparclite;
 int ext_irl = 0;
 
 /* Load/store interlock delay */
@@ -225,10 +224,6 @@ static int	fpexec (uint32 op3, uint32 rd, uint32 rs1, uint32 rs2,
 			struct pstate *sregs);
 static int	chk_asi (struct pstate *sregs, uint32 *asi, uint32 op3);
 
-
-extern struct estate ebase;
-extern int32    nfp,ift;
-
 #ifdef ERRINJ
 extern uint32 errtt, errftt;
 #endif
@@ -2014,8 +2009,6 @@ execute_trap(sregs)
 
 }
 
-extern struct irqcell irqarr[16];
-
 int
 check_interrupts(sregs)
     struct pstate  *sregs;
diff --git a/sim/erc32/func.c b/sim/erc32/func.c
index 98423da..482e21d 100644
--- a/sim/erc32/func.c
+++ b/sim/erc32/func.c
@@ -37,7 +37,10 @@ int tty_setup = 1;
 
 struct disassemble_info dinfo;
 struct pstate   sregs;
-extern struct estate ebase;
+struct estate   ebase;
+struct evcell   evbuf[EVENT_MAX];
+struct irqcell  irqarr[16];
+
 int             ctrl_c = 0;
 int             sis_verbose = 0;
 char           *sis_version = "2.7.5";
@@ -51,7 +54,6 @@ int             sparclite = 0;		/* emulating SPARClite instructions? */
 int             sparclite_board = 0;	/* emulating SPARClite board RAM? */
 char            uart_dev1[128] = "";
 char            uart_dev2[128] = "";
-extern	int	ext_irl;
 uint32		last_load_addr = 0;
 int		nouartrx = 0;
 host_callback 	*sim_callback;
@@ -716,12 +718,6 @@ init_signals()
 }
 
 
-extern struct disassemble_info dinfo;
-
-struct estate   ebase;
-struct evcell   evbuf[EVENT_MAX];
-struct irqcell  irqarr[16];
-
 static int
 disp_fpu(sregs)
     struct pstate  *sregs;
diff --git a/sim/erc32/interf.c b/sim/erc32/interf.c
index 6661dfe..aaaca08 100644
--- a/sim/erc32/interf.c
+++ b/sim/erc32/interf.c
@@ -33,24 +33,6 @@
 
 #define PSR_CWP 0x7
 
-extern struct disassemble_info dinfo;
-extern struct estate ebase;
-
-extern int      nfp;
-extern int      ift;
-extern int      rom8;
-extern int      wrp;
-extern int      uben;
-extern char    *sis_version;
-extern struct estate ebase;
-extern struct evcell evbuf[];
-extern struct irqcell irqarr[];
-extern int      irqpend, ext_irl;
-extern int      sparclite;
-extern int      sparclite_board;
-extern int      termsave;
-extern char     uart_dev1[], uart_dev2[];
-
 int             sis_gdb_break = 1;
 
 int
diff --git a/sim/erc32/sis.c b/sim/erc32/sis.c
index 96b6567..935550a 100644
--- a/sim/erc32/sis.c
+++ b/sim/erc32/sis.c
@@ -39,26 +39,6 @@
 /* Command history buffer length - MUST be binary */
 #define HIST_LEN	64
 
-extern struct disassemble_info dinfo;
-extern struct estate ebase;
-
-extern int      nfp;
-extern int      ift;
-extern int      wrp;
-extern int      rom8;
-extern int      uben;
-extern char    *sis_version;
-extern struct estate ebase;
-extern struct evcell evbuf[];
-extern struct irqcell irqarr[];
-extern int      irqpend, ext_irl;
-extern int      termsave;
-extern int      sparclite;
-extern int      dumbio;
-extern char     uart_dev1[];
-extern char     uart_dev2[];
-extern uint32   last_load_addr;
-
 #ifdef ERA
 extern int era;
 #endif
diff --git a/sim/erc32/sis.h b/sim/erc32/sis.h
index 83c752c..c596a8c0 100644
--- a/sim/erc32/sis.h
+++ b/sim/erc32/sis.h
@@ -20,7 +20,7 @@
 #include <sim-config.h>
 #include <stdint.h>
 
-#if HOST_BYTE_ORDER == BIG_ENDIAN
+#ifdef WORDS_BIGENDIAN
 #define HOST_BIG_ENDIAN
 #define EBT 0
 #else
@@ -162,8 +162,25 @@ extern const struct memsys erc32sys;
 
 /* func.c */
 extern struct	pstate  sregs;
+extern struct   estate ebase;
+extern struct   evcell evbuf[];
+extern struct   irqcell irqarr[];
+extern int      nfp;
+extern int      ift;
 extern int      ctrl_c;
 extern int      sis_verbose;
+extern char    *sis_version;
+extern int      sparclite;
+extern int      sparclite_board;
+extern uint32   last_load_addr;
+extern int      wrp;
+extern int      rom8;
+extern int      uben;
+extern int      irqpend;
+extern int      ext_irl;
+extern int      termsave;
+extern char     uart_dev1[];
+extern char     uart_dev2[];
 extern void	set_regi (struct pstate *sregs, int32 reg,
 			  uint32 rval);
 extern void	get_regi (struct pstate *sregs, int32 reg, char *buf);
@@ -174,6 +191,7 @@ extern void	init_bpt (struct pstate  *sregs);
 extern void	init_signals (void);
 
 struct disassemble_info;
+extern struct   disassemble_info dinfo;
 extern void	dis_mem (uint32 addr, uint32 len,
 			 struct disassemble_info *info);
 extern void	event (void (*cfunc) (), int32 arg, uint64 delta);
-- 
2.7.4

